package com.foreverwin.mesnac.equip.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.foreverwin.mesnac.equip.mapper.EquipMapper;
import com.foreverwin.mesnac.equip.model.Equip;
import com.foreverwin.mesnac.equip.service.EquipService;
import com.foreverwin.modular.core.util.FrontPage;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author Max
 * @since 2020-10-10
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class EquipServiceImpl extends ServiceImpl<EquipMapper, Equip> implements EquipService {


    @Autowired
    private EquipMapper equipMapper;

    @Override
    public IPage<Equip> selectPage(FrontPage<Equip> frontPage, Equip equip) {
        QueryWrapper<Equip> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(equip);
        return super.page(frontPage.getPagePlus(), queryWrapper);
    }

    @Override
    public List<Equip> selectList(Equip equip) {
        QueryWrapper<Equip> queryWrapper = new QueryWrapper<>();
        queryWrapper.setEntity(equip);
        return super.list(queryWrapper);
    }

    @Override
    public List<Equip> selectBySiteType(String site, String type) {
        return baseMapper.selectBySiteType(site, type);
    }
}